Bug 1130681

Summary: [RFE][heat]: Decouple nested stacks from their parent
Product: Red Hat OpenStack Reporter: RHOS Integration <rhos-integ>
Component: openstack-heatAssignee: Zane Bitter <zbitter>
Status: CLOSED CURRENTRELEASE QA Contact: Amit Ugol <augol>
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: markmc, nbarcet, sbaker, shardy, srevivo
Target Milestone: Upstream M3Keywords: FutureFeature
Target Release: 7.0 (Kilo)   
Hardware: Unspecified   
OS: Unspecified   
URL: https://blueprints.launchpad.net/heat/+spec/decouple-nested
Whiteboard: upstream_milestone_kilo-3 upstream_definition_approved upstream_status_implemented
Fixed In Version: Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-10-19 21:31:22 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description RHOS Integration 2014-08-16 04:03:02 UTC
Cloned from launchpad blueprint https://blueprints.launchpad.net/heat/+spec/decouple-nested.

Description:

Decouple nested stacks from their parent by creating them via RPC requests, which will allow more effective distribution of the workload involved with managing large hierarchies of stacks by enabling each to be potentially processed by a different heat-engine process. 

spec review: https://review.openstack.org/#/c/113296

Specification URL (additional information):

https://review.openstack.org/#/c/113296

Comment 1 Mike McCune 2016-03-28 23:47:57 UTC
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions